Vla-put-activelayout

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-activelayout vla-object Layout)


機能
アクティブなレイアウトを指定する。


引数
  • vla-object … Document の VLA オブジェクト
  • Layout… レイアウトの VLA オブジェクト


戻り値
nil


サンプル
(defun c:addMyLayout ()
  ;; 新しいレイアウトを作成して、印刷スタイルとプリンタ・用紙サイズを
  ;; 設定してアクティブにするサンプル
  ;; * Test っていうレイアウトがあると止まるので注意
  (vl-load-com)
  (setq acadDoc (vla-get-ActiveDocument (vlax-get-Acad-object)))
  (setq layouts (vla-get-Layouts acadDoc))

  (setq layoutObj (vla-add layouts "Test"))

  ;; monochrome.CTB をセット
  (vla-put-StyleSheet layoutObj "monochrome.ctb")
 
  ;; DWG to pdf.pc3 をセット
  (vla-put-configname layoutObj "DWG to pdf.pc3")
 
  ;; ISO A4 用紙をセット
  (vla-put-canonicalmedianame
    layoutObj    "ISO A4 (297.00 x 210.00 MM)")
 
  ;; 作成したレイアウトをアクティブに
  (vla-put-activelayout acadDoc layoutObj)

  ;; スタイルシートとコンフィグ名を取得
  (setq currPStyle (vla-Get-StyleSheet layoutObj))
  (setq currConfig (vla-Get-configname layoutObj))
  (princ)
)


関連事項